> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emnify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emnify.com/_mcp/server.

# Cancel operation

DELETE https://cdn.emnify.net/api/v1/euicc/{euicc_id}/operation/{operation_id}

Cancel a specific operation on specific IoT eUICC (reserved for future use).


Reference: https://docs.emnify.com/developers/api/euicc-operation/cancel-operation

## Authentication

- `Authorization` header (bearer token, required) — An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to `/api/v1/authenticate`.

## Request

### Path parameters

- `euicc_id` (integer, required)
- `operation_id` (string, required)

## Response

### 204

No Content

## Errors

### 401 Unauthorized Error

Unauthorized

- `status_code` (integer, required)
- `message` (string, required)

### 403 Forbidden Error

Forbidden

- `status_code` (integer, required)
- `message` (string, required)

### 404 Not Found Error

Not Found

- `status_code` (integer, required)
- `message` (string, required)

### 500 Internal Server Error

Internal Server Error

- `status_code` (integer, required)
- `message` (string, required)

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456/operation/11111111-2222-3333-4444-555555555555")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```